## thunar-dropbox-plugin 0.2.0+dfsg1

=== wscript ===
#! /usr/bin/env python

import Options
import Utils
import Build

VERSION = '0.2.0'
APPNAME = 'thunar-dropbox'

top = '.'
out = 'build'

def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.tool_options('gnu_dirs')

def configure(conf):
	conf.check_tool('compiler_cc')
	conf.check_cfg(package='thunarx-2', uselib_store='THUNARX', mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=True, args='--cflags --libs')

def build(bld):
	prog = bld.new_task_gen('cc', 'cshlib')
	prog.target = 'thunar-dropbox'
	prog.install_path = None
	prog.uselib = 'THUNARX THUNARVFS'
	prog.includes = 'src'
	prog.find_sources_in_dirs('src')
	bld.install_files('${PREFIX}/share/icons/hicolor/16x16/apps', 'data/icons/hicolor/16x16/apps/thunar-dropbox.png')
	bld.install_as('${PREFIX}/lib/thunarx-2/thunar-dropbox.so', 'libthunar-dropbox.so')

def shutdown():
	if Options.commands['install'] or Options.commands['uninstall']:
		dir = '%s/share/icons/hicolor' % Build.bld.env['PREFIX']
		command = 'gtk-update-icon-cache -q -t -f %s 2> /dev/null' % dir
		try:
			if Utils.exec_command(command):
				Utils.pprint('YELLOW', 'Icon cache not updated.')
		except:
			pass

=== debian/changelog ===
thunar-dropbox-plugin (0.2.0+dfsg1-0ubuntu1) utopic; urgency=medium

  * Initial release. (LP: #1000416)

 -- Unit 193 <unit193@ubuntu.com>  Wed, 11 Jun 2014 07:25:58 -0400

=== debian/control ===
Source: thunar-dropbox-plugin
Section: misc
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python2.7, libthunarx-2-dev
Standards-Version: 3.9.5
Homepage: http://softwarebakery.com/maato/thunar-dropbox.html

Package: thunar-dropbox-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, thunar (>= 1.2.0)
Recommends: nautilus-dropbox
Description: context-menu items from dropbox for Thunar
 Thunar Dropbox is a plugin for thunar that adds context-menu
 items from dropbox. This plugin does not come with dropbox itself,
 you will need to install that separately.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix=/usr

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf install --destdir=debian/thunar-dropbox-plugin

override_dh_auto_clean:
	./waf distclean

override_dh_clean:
	dh_clean
	find wafadmin -name "*.pyc" -delete

# get-orig-source to drop waf
upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)+dfsg1
pkg = thunar-dropbox-plugin

get-orig-source:
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
	mv thunar-dropbox-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	rm -f $(pkg)-$(dfsg_version)/t.bz2
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/wafadmin -name "*.pyc" -delete
	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
	rm -rf $(pkg)-$(dfsg_version)

## thunar-dropbox-plugin 0.2.1+dfsg1

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import Utils
 import Build
 
-VERSION = '0.2.0'
+VERSION = '0.2.1'
 APPNAME = 'thunar-dropbox'
 
 top = '.'
@@ -13,11 +13,13 @@
 def set_options(opt):
 	opt.tool_options('compiler_cc')
 	opt.tool_options('gnu_dirs')
+	opt.add_option('--libdir', action='store', default="${PREFIX}/lib", help="libdir")
 
 def configure(conf):
 	conf.check_tool('compiler_cc')
 	conf.check_cfg(package='thunarx-2', uselib_store='THUNARX', mandatory=True, args='--cflags --libs')
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=True, args='--cflags --libs')
+	conf.env.LIBDIR= Options.options.libdir
 
 def build(bld):
 	prog = bld.new_task_gen('cc', 'cshlib')
@@ -26,8 +28,8 @@
 	prog.uselib = 'THUNARX THUNARVFS'
 	prog.includes = 'src'
 	prog.find_sources_in_dirs('src')
-	bld.install_files('${PREFIX}/share/icons/hicolor/16x16/apps', 'data/icons/hicolor/16x16/apps/thunar-dropbox.png')
-	bld.install_as('${PREFIX}/lib/thunarx-2/thunar-dropbox.so', 'libthunar-dropbox.so')
+	bld.install_files ('${PREFIX}/share/icons/hicolor/16x16/apps', 'data/icons/hicolor/16x16/apps/thunar-dropbox.png')
+	bld.install_as (bld.env.LIBDIR + '/thunarx-2/thunar-dropbox.so', 'libthunar-dropbox.so', chmod=0755)
 
 def shutdown():
 	if Options.commands['install'] or Options.commands['uninstall']:

=== debian/changelog ===
thunar-dropbox-plugin (0.2.1+dfsg1-4) unstable; urgency=medium

  * Update Standards-Version to 4.0.0.
  * d/repack-waf, d/rules, d/watch:
    - Switch from get-orig-source target to repack script for waf.
  * d/control, d/copyright, d/watch: Update homepage.
  * d/control: Remove Micah Gersten from uploaders, no longer active in Debian.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 27 Jul 2017 21:44:14 -0400

thunar-dropbox-plugin (0.2.1+dfsg1-3) unstable; urgency=medium

  * Add Micah Gersten to uploaders.
  * Update standards-version to 3.9.8
  * d/control:
    - Add build-dep on python-minimal to provide 'python' (Closes: 832409)
    - Update vcs-* fields, use https.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 05 Aug 2016 01:33:15 -0400

thunar-dropbox-plugin (0.2.1+dfsg1-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 27 Apr 2015 21:01:53 -0400

thunar-dropbox-plugin (0.2.1+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 0.2.1+dfsg1.
  * debian/install, debian/control, debian/rules:
    - Remove workaround to install the plugin into the multiarch
      location, upstream added --libdir support.
      + Drop dh_install override.
      + Change --destdir to install to debian/thunar-dropbox-plugin/
      + Add --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ to configure.
      + Remove pkg-config build-dep and call.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 14 Mar 2015 21:29:14 -0400

thunar-dropbox-plugin (0.2.0+dfsg1-2) unstable; urgency=medium

  * d/rules: Enable verbose build and disable cache.
  * Move to contrib.
  * Update Standards-Version to 3.9.6.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 09 Oct 2014 20:42:03 -0400

thunar-dropbox-plugin (0.2.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (LP: #1000416)

 -- Unit 193 <unit193@ubuntu.com>  Tue, 05 Aug 2014 20:31:51 -0400

=== debian/control ===
Source: thunar-dropbox-plugin
Section: contrib/misc
Priority: optional
Maintainer: Unit 193 <unit193@ubuntu.com>
Uploaders: Sean Davis <smd.seandavis@gmail.com>
Build-Depends: debhelper (>= 9), python2.7, python-minimal, libthunarx-2-dev
Standards-Version: 4.0.0
Homepage: http://nullwise.com/thunar-dropbox.html
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/thunar-dropbox-plugin.git
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/thunar-dropbox-plugin.git

Package: thunar-dropbox-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, thunar (>= 1.2.0)
Recommends: nautilus-dropbox
Description: context-menu items from dropbox for Thunar
 Thunar Dropbox is a plugin for thunar that adds context-menu
 items from dropbox. This plugin does not come with dropbox itself,
 you will need to install that separately.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./waf configure --nocache --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_auto_build:
	./waf build --nocache --verbose

override_dh_auto_install:
	./waf install --nocache --destdir=debian/thunar-dropbox-plugin/

override_dh_auto_clean:
	./waf distclean --nocache

override_dh_clean:
	dh_clean
	find wafadmin -name "*.pyc" -delete

=== debian/watch ===
version=3
# No repacksuffix is specified because it's handled by debian/repack-waf.
# See <https://wiki.debian.org/UnpackWaf>.
opts=dversionmangle=s/\+dfsg\d+$// \
http://nullwise.com/thunar-dropbox.html files/thunar-dropbox/thunar-dropbox-([\d\.]+)\.tar.bz2 debian debian/repack-waf

## thunar-dropbox-plugin 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
project(thunar-dropbox VERSION 0.3.1 LANGUAGES C)
set(CMAKE_C_FLAGS_RELEASE "-O3")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wpedantic")


# Define colors
if(NOT WIN32)
  string(ASCII 27 Esc)
  set(ColorReset "${Esc}[m")
  set(BoldRed    "${Esc}[1;31m")
endif()

# Prevent compilation in-source
if(${CMAKE_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    Message(FATAL_ERROR "${BoldRed}Source and build directories are the same. \
Delete CMakeCache.txt, create an empty build directory, change into it and invoke 'cmake ..'${ColorReset}")
endif()

find_package(PkgConfig REQUIRED)

# gio
pkg_search_module(GIO REQUIRED gio-2.0)
include_directories(${GIO_INCLUDE_DIRS})

# thunarx
pkg_search_module(THUNARX REQUIRED thunarx-3)
include_directories(${THUNARX_INCLUDE_DIRS})

# Source files
file(GLOB SRC "src/*.c")

# Create library and link
add_library(thunar-dropbox SHARED ${SRC})
set_target_properties(thunar-dropbox PROPERTIES PREFIX "")
target_link_libraries(thunar-dropbox ${THUNARX_LIBRARIES})
target_link_libraries(thunar-dropbox ${GIO_LIBRARIES})

# Installation
install(TARGETS thunar-dropbox
        DESTINATION "lib/thunarx-3")
install(FILES "data/icons/hicolor/16x16/apps/thunar-dropbox.png"
        DESTINATION "share/icons/hicolor/16x16/apps")

=== debian/changelog ===
thunar-dropbox-plugin (0.3.1-1) unstable; urgency=medium

  * d/copyright, d/repack-waf, d/watch:
    - Drop waf repack and move to new upstream.
  * New upstream version 0.3.1
    - Drop patch applied upstream.
  * d/copyright: Update attribution.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Replace python2 B-D with cmake. (Closes: #938664)
    - Set R³ to no.
  * d/rules: Drop all waf overrides, set CMAKE_LIBRARY_PATH.
  * d/p/multiarch-libdir.patch: Use the multiarch directory for plugins.
  * Update Standards-Version to 4.4.1.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 04 Oct 2019 01:00:09 -0400

thunar-dropbox-plugin (0.2.1+dfsg1-5) unstable; urgency=medium

  * d/p/01-port-to-thunarx-3.patch:
    - Use an upstream pull request to port to thunarx-3.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control:
    - Adjust build-dep libthunarx-2-dev → libthunarx-3-dev.
    - Update Vcs-* fields, pointing to Salsa.
  * d/copyright:
    - Use https where possible.
    - Point source field to Github, update years.
    - Note why package is contrib and repacked.
  * Update Standards-Version to 4.1.5.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 04 Jul 2018 08:32:20 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Unit 193 <unit193@ubuntu.com>
 Uploaders: Sean Davis <smd.seandavis@gmail.com>
-Build-Depends: debhelper (>= 9), python2.7, python-minimal, libthunarx-2-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 12), cmake, libthunarx-3-dev
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: http://nullwise.com/thunar-dropbox.html
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/thunar-dropbox-plugin.git
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/thunar-dropbox-plugin.git
+Vcs-Browser: https://salsa.debian.org/xfce-extras-team/thunar-dropbox-plugin
+Vcs-Git: https://salsa.debian.org/xfce-extras-team/thunar-dropbox-plugin.git
 
 Package: thunar-dropbox-plugin
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## thunar-dropbox-plugin 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
 project(thunar-dropbox VERSION 0.3.1 LANGUAGES C)
 set(CMAKE_C_FLAGS_RELEASE "-O3")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wpedantic")

=== debian/changelog ===
thunar-dropbox-plugin (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2.
    - Refresh patch.
  * d/copyright: Update years.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 25 Aug 2025 01:57:14 -0400

thunar-dropbox-plugin (0.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
    - Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Remove constraints unnecessary since buster
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Unit 193 ]
  * d/watch: Update, GitHub no longer includes tags on releases page.
  * d/control, d/copyright:
    - Update website.
    - Update email addresses and bump years.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 16 Aug 2022 22:25:55 -0400

=== debian/control ===
Source: thunar-dropbox-plugin
Section: contrib/misc
Priority: optional
Maintainer: Unit 193 <unit193@debian.org>
Uploaders: Sean Davis <sean@bluesabre.org>
Build-Depends: debhelper-compat (= 13), cmake, libthunarx-3-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/Jeinzi/thunar-dropbox
Vcs-Browser: https://salsa.debian.org/xfce-extras-team/thunar-dropbox-plugin
Vcs-Git: https://salsa.debian.org/xfce-extras-team/thunar-dropbox-plugin.git

Package: thunar-dropbox-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, thunar
Recommends: nautilus-dropbox
Description: context-menu items from dropbox for Thunar
 Thunar Dropbox is a plugin for thunar that adds context-menu
 items from dropbox. This plugin does not come with dropbox itself,
 you will need to install that separately.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=4
https://github.com/jeinzi/thunar-dropbox/tags .*/([\d\.]+)\.tar.(?:bz2|gz|xz|zst)
